%global srcname Keras_Preprocessing
%global pkgname Keras-Preprocessing

Summary:	Easy data preprocessing and data augmentation for deep learning models
Name:		python-%{pkgname}
Version:	1.1.2
Release:	5%{?dist}
License:	MIT
URL:		https://github.com/keras-team/keras-preprocessing
Source0:	%pypi_source

BuildArch:	noarch

%description
Keras Preprocessing is the data preprocessing and data augmentation module
of the Keras deep learning library.


%package -n python%{python3_pkgversion}-%{pkgname}
Summary:	Easy data preprocessing and data augmentation for deep learning models
BuildRequires:	python3-devel python3-setuptools python3-pip python3-wheel python3-numpy
# For test
BuildRequires:  python3-six
Requires:	python3-numpy python3-six
Provides:	python-%{pkgname}

%description -n python%{python3_pkgversion}-%{pkgname}
Keras Preprocessing is the data preprocessing and data augmentation module
of the Keras deep learning library. It provides utilities for working with
image data, text data, and sequence data.

Read the documentation at: https://keras.io/

Keras Preprocessing may be imported directly from an up-to-date installation of Keras:
` from keras import preprocessing `.


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install

# Actually ran no tests
%check
# 
%{__python3} setup.py test


%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE
%doc README.md
%{python3_sitelib}/keras_preprocessing/
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jun 07 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.2-3
- Add buildrequires for test.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.2-1
- Initial build
